trustFrameworkKeySet: generateKey
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Generate a trustFrameworkKey and a secret automatically in the trustFrameworkKeyset. The caller doesn't have to provide a secret.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | TrustFrameworkKeySet.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | TrustFrameworkKeySet.ReadWrite.All |
HTTP request
POST /trustFramework/keySets/{id}/generateKey
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-type | application/json. Required. |
Request body
In the request body, provide a JSON object with the following parameters.
| Parameter | Type | Description |
|---|---|---|
| use | string | Similar to the use property of trustFrameworkKey. |
| kty | string | Similar to kty property of trustFrameworkKey. |
| nbf | int | Similar to nbf property of trustFrameworkKey. |
| exp | int | Similar to exp property of trustFrameworkKey. |
Response
If successful, this method returns a 200 OK response code and a new trustFrameworkKey object in the response body.
Examples
Request
The following is an example of the request.
POST https://graph.microsoft.com/beta/trustFramework/keySets/{id}/generateKey
Content-type: application/json
{
"use": "sig",
"kty": "RSA",
"nbf": 1508969811,
"exp": 1508969811
}
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#microsoft.graph.trustFrameworkKey",
"k": null,
"x5c": [],
"kty": "RSA",
"use": "sig",
"exp": 1908969811,
"nbf": 1908969811,
"kid": "Gaid7K8sO8RavMX9fzHir_Wg0femGhbY9b-B4rVIxbE",
"e": "AQAB",
"n": "rd54s6",
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk